class Complex {
    double real;
    double imag;
}

class ProcessComplex {
        public static void Process(Complex n) {
            System.out.println("Proces: " + n.real + "," + n.imag);
            n.real = 10;
            n.imag = 20;
        }
	public static void main(String[] args) {
            Complex c = new Complex();
            c.real = 1;
            c.imag = 2;
            System.out.println("Przed procesem: " + c.real + "," + c.imag);
            Process(c);
            System.out.println("Po zakończeniu procesu: " + c.real + "," + c.imag);
		    c.real = 1;
		    c.imag = 2;
		    Complex d = c;
		    System.out.println("Przed zmianą: " + c.real + "," + c.imag);
		    d.real = 30;
		    d.imag = 40;
		    System.out.println("Po zmianie: " + c.real + "," + c.imag);
	}
}
